package com.atlassian.bitbucket.mesh.transaction;

import com.atlassian.bitbucket.mesh.repository.Repository;

import javax.annotation.Nonnull;

public abstract class AbstractPreparedAction implements PreparedAction {

    protected final Repository repository;

    public AbstractPreparedAction(Repository repository) {
        this.repository = repository;
    }

    @Nonnull
    @Override
    public Repository getRepository() {
        return repository;
    }
}
